[Programm]

# Konfigurationsdatei fuer den schukodaemon am server
# 2.4.2023

Port=9731
useLOG=1
LogPfad=/var/log/linuxmuster/schukodaemon.log
# useSSL=0
debug=0
verbose=0

useLineFeed=1
onlyClassrooms=1

# Lehrer werden von Sperren ausgenommen
# DisableTeacherSperre=True

# Erlaubt das Setzen von Passwoertern, Option muss auch in maus_sk.cfg gesetzt sein
# MenuePasswordVisible=0

# Benutzer, die das VNC und MD-Passwort setzen duerfen, Benutzer muss auch in maus_sk.cfg eingetragen werden
AdminUsers=global-admin

# Benutzer, die das Recht haben MAusSK als Teacher zu verwenden
# ExtraTeachers=

# useAuth:  0-Keine Authentifizierung  1-mit Name+PW  2-SSO-Client-basiert
useAuth=1
useToken=1

# Zeiten in Minuten
# Zeit, nach der die User des Raumes wieder zurückgesetzt werden
ResetTime=45
# Zeit, nach der das Token neu angefordert werden muss
TokenTime=15
# Zeit, nach der der Raum nach Inaktivität des Lehrers weider freigegeben wird
BesetztTime=2
TerminateCollectTime=10
TerminateTransferTime=5

# WakeOnLan Delay in Millisekunden zwischen den Aufweckbefehlen/magic-pakets
WolDelay=500

# fuer Client Kommunikation (Zeiten in Millisekunden)
# MDPort=9731
# MDUseauth=1
# InternetSperreClients=0
SocketTimeout_CL=200
Netzwerk_DelayTime=100

# Optional
# WOLCommand=wakeonlan
# WOLCommand=linbo-remote
# WOLCommand=etherwake -i enp0S01
# MDPfad=/etc/linuxmuster/maus/md.pass
# MD5Pfad=/home/samba/progs/mausdienst/md.md5
# VNCTextPfad=/etc/linuxmuster/maus/x11vnc.text
# VNCPassPfad=/etc/linuxmuster/maus/x11vnc.pass
# timezone=2
# TimerIntervall in Sekunden
# TimerIntervall = 60
#
### Pfade fuer Linuxmuster.net 7 im home des users
### Aenderungen mussen identisch bei maus_sk.cfg sein
# UseSophomorix=True
# SchoolBasisPfad=/srv/samba/schools/default-school/
# EinAusTeacherPrefix=True
# EinAusBasisPfad=transfer/
# EingesammeltPfad=collected/
# EinzusammelnPfad=_Materialien/
# AusgeteiltPfad=_Materialien/
# AuszuteilenPfad=_Auszuteilen/
#

